<?php
require_once("../web.config.php");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta name="robots" content="noindex,nofollow" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>用户添加</title>
    <link href="../themes/<?php echo $themes_Path; ?>/main.css" rel="stylesheet" type="text/css" />
<script language="javascript">

function form1_onsubmit()
{
	if (document.form1.UserName.value=="")
    {
      document.form1.UserName.focus();
      window.alert("请输入用户名称");
      return false;  
     }
	if (document.form1.password1.value=="" || document.form1.password2.value=="")
    {
      document.form1.password1.focus();
	  window.alert("请输入密码！！！");
      return false;  
     }

	 if (document.form1.password1.value!= document.form1.password2.value)
     {
      window.alert("两次输入密码不一致,请重输密码!");
      return false;
     }
}
</script>

</head>
<body  id="bodyBg1">
<br />
&nbsp; <a href="adminUser_Manage.php">用户管理</a> | <a href="adminUser_Add.php">添加用户</a>
<hr color="#0099FF" size="1" />
<br />
<dl class="manageContent">
    <dt>用户添加管理</dt>
    <dd>
    	<br />
<?php

if (isset($_POST["UserName"]) )
{
	$UserName=$_POST["UserName"];
	$password1=md5($_POST["password1"]);
	$Purview=$_POST["Purview"];
	
	$sql_serach="select *  from deep_Admin where fuserName='".$UserName."' ";
	$stmt=$conn->query($sql_serach);
	if($row=$stmt->fetch() ){
		echo ("<p align='center'>[". $UserName ."] 已被注册，请注册其它名称</p>");
	}else{
		$sql_add="insert into deep_Admin(fuserName,fpassword,fpurview)values('".$UserName."','".$password1."','".$Purview."') ";
		$okCount=$conn->exec($sql_add);
		if($okCount>0){
			echo ("<p align='center'>用户：[". $UserName ."] 添加成功</p>");
		}else{
			echo ("<p align='center'>用户：[". $UserName ."] 添加不成功</p>");
		}
	}
}
?>
<form id="form1" name="form1" method="post" action="" onsubmit="return form1_onsubmit()">
  <table width="70%" border="0" align="center" class="tableBoderForm">
    <tr>
      <td width="100" height="30">用户名称：</td>
      <td><input type="text" name="UserName" />
      &nbsp;&nbsp;* 必添项</td>
    </tr>
    <tr>
      <td height="30"><p>用户密码：</p>      </td>
      <td><input type="password" name="password1" /></td>
    </tr>
    <tr>
      <td height="30">确认密码：</td>
      <td><input name="password2" type="password" /></td>
    </tr>
    <tr>
      <td height="30">管理权限：</td>
      <td><select name="Purview" id="Purview">
        <option value="管理员" >管理员</option>
      </select>      </td>
    </tr>
    <tr>
      <td height="30">&nbsp;</td>
      <td><input type="submit" name="Submit" value="提交" />
      <input type="reset" name="Reset" value="重置" /></td>
    </tr>
  </table>
</form>
<div align="center"><br />
    <span class="cRed">*</span>　目前程序为单用户版
</div>
        <br />
    </dd>
</dl>
<br />
</body>
</html>
